body {
    overscroll-behavior: none !important;
}

h2 {
    font-weight: 700 !important;
    font-size: 30px !important;
    line-height: 36px !important;
}


/* hide icons and placeholder on view mode */

div[aria-disabled='true'] textarea::placeholder,
div[aria-disabled='true'] .select2-selection--multiple .select2-search__field {
    opacity: 0 !important;
}


/* div[aria-disabled='true'] :is(input[type='time']:invalid, input[type='date'], input[type='datetime-local'])::-webkit-datetime-edit, */

div[aria-disabled='true'] :is(input[type='time']:invalid, input[type='datetime-local'])::-webkit-datetime-edit,
div[aria-disabled='true'] :is(.select2-selection--single .select2-selection__placeholder, .select2-selection--multiple .select2-search__field) {
    color: transparent !important;
}

div[aria-disabled='true'] span.select2-selection.select2-selection--multiple,
div[aria-disabled='true'] span.select2-selection.select2-selection--single {
    background-image: none !important;
}


/* hide caret holder on view mode */

div[aria-disabled='true'] .caret_holder {
    display: none !important;
}

div[aria-disabled='true'] :is(.select2-selection__clear, .input-group-text.search),
div[aria-disabled='true'] :is(input[type="date"], input[type="time"], input[type="datetime-local"])::-webkit-calendar-picker-indicator {
    display: none !important;
}


/* disable the container and elements */

div[aria-disabled='true'] :is(input, select, textarea, .form-check, .select2-selection) {
    pointer-events: none !important;
    opacity: 0.75 !important;
}

div[aria-disabled='true'] :is(input, select, textarea, .form-check, .select2-selection) data-placeholder {
    color: transparent !important;
}

div[aria-disabled='true'] :is(input[type="checkbox"]:checked, input[type="radio"]:checked) {
    background-color: var(--bs-primary)!important;
}

div[aria-disabled='true'] :is(input, select, textarea, .select2-selection) {
    background-color: var(--bs-gray) !important;
    border-color: var(--cs-border-gray) !important;
}

div[aria-disabled='true'] .form-select {
    background-image: none;
}


/* Typography */

.foot-note {
    font-size: var(--cs-size-base);
    color: #474747;
    font-weight: 400;
    line-height: 22px;
}


/* custom badge */

.bg-primary-3 {
    background-color: var(--cs-primary-3);
}


/* scroll behavior */


/* ::-webkit-scrollbar {
    height: 7px;
    width: 7px;
} */


/* ::-webkit-scrollbar-track {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, 0.1);
} */


/* ::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.1);
    border-radius: 4px;
} */

.scroll-content {
    overflow-y: auto;
    overflow-x: clip;
    scrollbar-width: none;
    height: calc(100dvh - 162px);
    padding-top: 10px;
}

.scroll-content .border-bottom {
    border-bottom: 2px solid var(--bs-blue) !important;
}


/* Responsive Semantic */

.main-wrapper {
    overflow-y: auto;
    scrollbar-width: none;
}

.main-wrapper .main-content {
    box-shadow: inset 0px -20px 15px 0px rgba(92, 115, 160, 0.07) !important;
    width: calc(100dvw - 280px);
    position: absolute;
    right: 0;
    min-height: 100%;
}

header {
    z-index: 1039 !important;
    background-color: white;
}

header .shadow-sm {
    box-shadow: 0 5px 10px rgba(92, 115, 160, 0.07) !important;
}

header .dropdown-toggle::after {
    display: none !important;
}

.m-top-62 {
    margin-top: 62px;
}

.logo img {
    height: 35px;
}

a {
    color: var(--bs-primary);
    text-decoration: none;
    cursor: pointer;
}

a:hover {
    color: var(--cs-oshw-primary);
    text-decoration: none;
    cursor: pointer;
}

.btn {
    padding: 12px 16px;
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 4px;
    font-size: 14px;
    white-space: nowrap;
}

.btn:focus {
    box-shadow: none !important;
}

.sticky-top {
    height: calc(100dvh - 62px);
    top: 62px;
}

label {
    margin-bottom: 0.75rem;
}

.custom-alert {
    position: fixed !important;
    bottom: 20px;
    right: 20px;
    z-index: 1050;
}

.loader-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.menu-disable {
    pointer-events: none;
    opacity: 0.5;
}


/* Sidebar & Menu */

aside {
    width: 280px;
    float: left;
}

aside.collapsed+.main-content {
    width: calc(100dvw - 80px);
}

.sticky-sidebar {
    height: calc(100vh - 79px);
    overflow: auto;
    width: 280px;
}

.sticky-sidebar .dash-menu {
    min-height: 100% !important;
    height: 100%;
}

.sidebar.collapsed {
    width: 80px !important;
}

.sidebar,
.nav {
    transition: width 0.3s ease;
}

.sidebar .nav-link {
    display: flex;
    padding: 0.5rem;
}

.sidebar.collapsed .nav-link .text,
.sidebar.collapsed .text {
    display: none;
}

.sidebar.collapsed .icon-chevron-right {
    width: 8px;
    height: 8px;
}

.sidebar.collapsed #collapsed-logo {
    display: block !important;
}

.sidebar .accordion-item .menu-tooltip {
    pointer-events: none;
}

.sidebar.collapsed .accordion-item svg {
    pointer-events: auto;
}

.sidebar.collapsed .accordion-button::after,
.sidebar.collapsed .accordion-item span {
    display: none;
}

.sidebar.collapsed .accordion-flush .accordion-collapse {
    transition: none !important;
}

.sidebar.collapsed .accordion-flush .accordion-collapse.show {
    position: absolute;
    max-width: 300px;
    left: 82px;
    top: 0;
    width: max-content;
    background-color: white;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    z-index: 1038;
}

.custom-nav .nav-link {
    border: none;
    padding: 0.5rem;
    padding-left: 1.5rem;
}

.collapse-menu {
    color: var(--bs-secondary);
    padding: 7px 20px 30px 28px !important;
}

.collapse-menu.collapsed {
    padding: 0.5rem 25px 30px 25px !important;
}

.collapse-menu.collapsed .caption {
    transition: all 0.3s ease-in-out;
    display: none;
}

.collapse-menu:hover {
    color: var(--bs-dark);
}

.nav-tabs .nav-link:hover,
.nav-tabs .nav-link:focus,
.nav-tabs {
    border: none;
}

.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
    border: none;
}

.dash-menu {
    height: calc(100dvh - 54px);
}

.navbar {
    height: 62px;
}

#navbarDropdownMenuLink {
    font-weight: 500;
}

nav .navbar {
    min-width: 100vw;
}

.collapse {
    transition: height 0.35s ease-in-out;
}

.form-control {
    background: white;
}

.input-group-text {
    background: none;
    background: none;
}


/* Dashboard Menu */

.dash-menu .accordion-button svg {
    margin-right: 5px;
}

.dash-menu .accordion-body {
    padding: 0;
}

.dash-menu .accordion-header {
    border: none;
}

.dash-menu .accordion-button {
    font-size: var(--cs-size-base);
    padding: 7px 20px 7px 28px;
    height: 44px;
}

.dash-menu input:disabled {
    border-color: var(--bs-red) !important;
    color: var(--bs-red) !important;
}


/* .dash-menu .accordion-item.selected .menu-link span,
.dash-menu .accordion-item a:hover span */

.dash-menu .accordion-item:has(.selected) .accordion-button,
.dash-menu .accordion-item:has(.show) .accordion-button,
.dash-menu .accordion-button:not(.collapsed),
.dash-menu .accordion-item.selected .menu-link,
.dash-menu .accordion-item.selected .accordion-button,
.dash-menu .accordion-item a:hover,
.dash-menu .accordion-button:hover {
    background-color: rgba(47, 79, 170, 0.05);
    color: var(--bs-primary);
}

.dash-menu .accordion-item:has(.selected) .accordion-button path,
.dash-menu .accordion-button:not(.collapsed) path,
.dash-menu .accordion-button:hover path,
.dash-menu .accordion-item.selected path,
.dash-menu .accordion-item a:hover path {
    stroke: var(--bs-primary);
}

.dash-menu .accordion-item {
    position: relative;
}

.dash-menu .accordion-item .list-group-item a,
.dash-menu .accordion-item a {
    font-size: var(--cs-size-base);
    font-weight: 500;
    color: var(--bs-dark);
    padding: 7px 20px 7px 28px;
    display: flex;
    gap: 5px;
    height: 44px;
    align-items: center;
}

.dash-menu .accordion-body .list-group li {
    list-style: none;
}

.dash-menu .accordion-body .list-group li a {
    padding: 10px 2rem;
    font-weight: 500;
}

.dash-menu .accordion-item a:hover {
    text-decoration: none;
}

.dash-menu .accordion-body .list-group li.selected a,
.dash-menu .accordion-item .list-group a:hover {
    color: var(--bs-primary);
}

.dash-menu .accordion-item:has(.selected) .accordion-header::after,
.dash-menu .accordion-item:has(.show) .accordion-header::after,
.dash-menu .accordion-item:has(.accordion-button:not(.collapsed)) .accordion-header::after,
.dash-menu .accordion-item a:hover::after,
.dash-menu .accordion-item.selected a::after,
.dash-menu .accordion-item.selected .accordion-header::after,
.dash-menu .accordion-header:hover::after {
    content: '';
    position: absolute;
    top: 20px;
    width: 44px;
    height: 3px;
    background-color: var(--bs-primary);
    right: -20px;
    transform: rotate(90deg);
}

.dash-menu .accordion-button:not(.collapsed) {
    box-shadow: none;
}


/* show hide password */

span.input-group-text.eye {
    border: none;
    position: absolute;
    right: 2px;
    top: 15px;
    z-index: 3;
}

.eye-slash {
    background-image: url('/images/icon/svg/eye-slash.svg');
    background-repeat: no-repeat;
    width: 16px;
    height: 16px;
}

.eye-no-slash {
    background-image: url('/images/icon/svg/eye.svg');
    background-repeat: no-repeat;
    width: 16px;
    height: 16px;
}

.form-control:disabled~ :is(.eye-slash,
.eye-no-slash) {
    mix-blend-mode: multiply;
}

span.input-group-text.search {
    border: none;
    position: absolute;
    right: 0;
    top: 10px;
    z-index: 3;
}

.columns-textbox {
    border: 1px solid var(--ls-border-gray);
    border-radius: 10px;
    height: 300px;
    overflow: auto;
}

.txt-black {
    color: var(--bs-dark);
}

.nav,
.dropdown {
    transition: all 0.4s ease-in-out;
}


/* Icons */

.icon-in-progress,
.icon-done,
.icon-not-started,
.icon-minimize,
.icon-expand,
.icon-navbar-toggler {
    display: inline-block;
    width: 16px;
    height: 16px;
    background-size: cover;
    background-position: center;
    vertical-align: middle;
    margin-left: 4px;
    margin-right: 4px;
}

.icon-navbar-toggler {
    background-image: url(/images/icon/svg/navbarToggler.svg);
}

.icon-minimize {
    background-image: url(/images/icon/svg/minimizeIcon.svg);
}

.icon-expand {
    background-image: url(/images/icon/svg/expandArrow.svg);
}

.icon-in-progress {
    background-image: url(/images/icon/svg/in-progress.svg);
}

.icon-done {
    background-image: url(/images/icon/svg/done.svg);
}

.icon-not-started {
    background-image: url(/images/icon/svg/not-started.svg);
}


/* Pagination */

.simple-pagination a {
    font-size: 12px;
    font-weight: 600;
}

.simple-pagination .icon {
    display: inline-block;
    width: 16px;
    height: 16px;
    background-size: contain;
    background-position: center;
    vertical-align: middle;
    margin-left: 4px;
    margin-right: 4px;
}

.simple-pagination .paginate_button span {
    vertical-align: middle;
}

.simple-pagination .divider,
.simple-pagination .paginate_button.disabled span {
    color: #6b7280;
}

.simple-pagination .paginate_button:hover {
    text-decoration: none;
    font-weight: 600;
}

.paginate_button.disabled {
    pointer-events: none;
}

.disabled>.icon-chevron-right {
    background-image: url(/images/icon/svg/chevron-small-gray.svg);
}

.icon-chevron-right {
    background-image: url(/images/icon/svg/chevron-small-blue.svg);
}

.disabled>.icon-chevron-left {
    background-image: url(/images/icon/svg/chevron-small-gray.svg);
    transform: rotate(180deg);
}

.icon-chevron-left {
    background-image: url(/images/icon/svg/chevron-small-blue.svg);
    transform: rotate(180deg);
}

.nav-link {
    color: var(--bs-dark);
    font-weight: 500;
    transition: none;
}

a.nav-link:hover,
a.nav-link.selected,
.nav-link.active {
    background: rgba(66, 124, 216, 0.05) !important;
    border-right: 4px solid var(--bs-primary) !important;
    color: var(--bs-primary) !important;
}

.subpage-menu {
    background-color: var(--bs-white);
    margin-top: 62px;
    padding-top: 30px;
}


/* Buttons with Dropdown */

.btn.dropdown-toggle::after {
    display: none !important;
}

.btn-primary.dropdown-toggle-split {
    border-left: solid 1px var(--bs-primary-dark);
}

.btn-success.dropdown-toggle-split {
    border-left: solid 1px var(--cs-success-dark);
}

.caret {
    border: none !important;
    flex-shrink: 0;
    width: 1rem;
    height: 1rem;
    margin-left: auto;
    content: "";
    background-image: url("/images/icon/svg/chevron-down-white.svg") !important;
    background-repeat: no-repeat;
    background-size: 1rem;
    transition: transform 0.2s ease-in-out;
}

.btn-back {
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12.5 2.5H15.8333C16.2754 2.5 16.6993 2.6756 17.0118 2.98816C17.3244 3.30072 17.5 3.72464 17.5 4.16667V15.8333C17.5 16.2754 17.3244 16.6993 17.0118 17.0118C16.6993 17.3244 16.2754 17.5 15.8333 17.5H12.5' stroke='black' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M6.66602 5.83335L2.49935 10L6.66602 14.1667' stroke='black' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M2.5 10L12.5 10' stroke='black' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A") !important;
    width: 20px;
    height: 20px;
    opacity: 0.6;
}

.btn-back:hover {
    opacity: 1;
}

.dropdown-menu[data-bs-popper] {
    position: absolute;
    right: 0 !important;
}


/* Tables */

.table-borderless td,
.table-borderless th {
    border: none !important;
}

table.form-table td,
table.form-table th {
    padding: 1rem;
}

.table-wrapper.table-bordered tr {
    border-bottom: 1px solid #dee2e6;
}

.table-wrapper {
    width: 100%;
}

.table-striped>tbody>tr:nth-of-type(odd) {
    --bs-table-accent-bg: var(--bs-white) !important;
}

.table>tbody>tr:nth-of-type(odd) {
    background-color: #ffffff !important;
}

.table>tbody>tr:nth-of-type(even) {
    background-color: #f9fafb !important;
}

.table>tbody>tr:hover>* {
    background-color: rgba(47, 79, 170, 0.05) !important;
}

.table> :not(caption)>*>* {
    padding: calc(var(--cs-size-base) * 0.5) calc(var(--cs-size-base) * 0.5);
}


/* Breadcrumbs */

.breadcrumb-item+.breadcrumb-item::before {
    content: url('/images/icon/svg/chevron-double-right.svg');
}

.breadcrumb.small .breadcrumb-item+.breadcrumb-item::before,
.report-breadcrumb .breadcrumb-item+.breadcrumb-item::before {
    content: url('/images/icon/svg/chevron-right.svg');
}

.breadcrumbs {
    border-bottom: 1px solid var(--ls-border-gray);
    padding-right: calc(var(--ls-font-size-base) * 1.5) !important;
}

.breadcrumb.small {
    border-bottom: solid 1px var(--cs-border-gray);
}

.breadcrumb.small .active {
    font-weight: 600;
}


/**main body**/

.subpage.container {
    margin-top: 130px;
    padding-top: 10px;
}

.accordion-button {
    font-size: calc(var(--cs-size-base) * 1.75);
    font-weight: 500;
}

.daterangepicker td.in-range.active,
.daterangepicker td.active,
.daterangepicker td.active:hover,
button.applyBtn.btn.btn-sm.btn-primary {
    background-color: var(--bs-primary) !important;
    color: white !important;
}

.daterangepicker .drp-buttons .btn {
    display: inline-block;
}

button.applyBtn.btn.btn-sm.btn-primary {
    border-color: var(--bs-primary) !important;
    border-radius: 3px;
}

.daterangepicker td.in-range {
    background-color: rgba(66, 124, 216, 0.2) !important;
}

.bg-ls-gray {
    background-color: var(--cs-btn-gray);
}

.custom-select {
    margin-right: 0.5rem;
    margin-left: 0.5rem;
}

.form-check-input {
    width: 20px;
    height: 20px;
}

.form-check-input[type='checkbox'] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
}

input.checkbox-big {
    border: 2px solid var(--bs-gray);
    width: 20px;
    height: 20px;
}

.input-container {
    position: relative;
}

.input-container input {
    padding-left: 30px;
}

.input-container .icon-inside-input {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
}


/* form-check Custom Style */

fieldset legend.form-label {
    font-weight: 500;
    font-size: 14px;
    margin-bottom: 15px;
}

.form-check label {
    margin-top: 3px;
    margin-left: 10px;
}

.span-required-field {
    color: var(--bs-red);
}

input[type='checkbox']:checked::before {
    content: '';
    position: absolute;
    left: 5.5px;
    top: 3px;
    width: 4px;
    height: 7px;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

th input[type='checkbox']:checked::before {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 5px;
    height: 1px;
    border: 1px solid var(--bs-white);
    transform: translate(-50%, -50%);
}

.page-item.active .page-link,
a.paginate_button.current {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
    border-radius: 3px;
    color: var(--bs-white);
}

a.paginate_button:hover {
    font-weight: 500;
    cursor: pointer;
}

.page-link,
.page-item.disabled .page-link,
a#appointmentsTable_next,
a#appointmentsTable_previous,
a.paginate_button {
    border: none;
    color: var(--bs-primary);
    padding: 4px 8px;
}

.page-link {
    color: var(--bs-primary);
    border: none;
    padding: 4px 8px;
}

span.select2.select2-container.select2-container--default {
    width: 100% !important;
}

span.select2-selection.select2-selection--single {
    border-radius: 6px !important;
}

.select2-container--default.select2-container--disabled .select2-selection--single,
.select2-container--default.select2-container--disabled .select2-selection--multiple {
    background-color: var(--bs-gray) !important;
}

.select2-container--default .select2-selection--single .select2-selection__clear {
    margin-left: 10px;
    color: var(--bs-dark);
    font-size: 16px;
    font-weight: 300;
    position: absolute;
    right: 47px;
}

span.select2-selection.select2-selection--multiple,
span.select2-selection.select2-selection--single {
    border-radius: 6px;
    padding: 0.35rem;
    background-color: #fff;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
}

table span.select2-selection.select2-selection--multiple {
    background-image: none;
}

.select2-container--default .select2-selection--single,
.select2-container--default .select2-selection--multiple {
    border: 1px solid #ced4da !important;
}

.edit-icon {
    cursor: pointer;
}


/* Modal */

.modal-dialog-slideout {
    position: fixed;
    top: 0;
    right: 0;
    height: 100%;
    margin: 0;
    transform: translateX(100%);
    transition: transform 0.3s ease-out;
}

.modal-content.filters {
    min-width: 400px !important;
}

.modal.fade .modal-dialog-slideout {
    transform: translateX(100%);
}

.modal.fade.show .modal-dialog-slideout {
    transform: translateX(0);
}

.modal-fullscreen {
    height: 100vh;
    width: 100vw;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

.modal label {
    font-weight: 500;
}


/* Select2 */

.form-control,
span.select2-selection.select2-selection--single {
    font-size: 14px;
    padding: 12px 16px !important;
}

.form-control[type='file'] {
    height: 47px;
    padding: 0 0.75em !important;
    line-height: 46px;
    color: #637381;
    text-transform: capitalize;
    background-color: white;
}

span.select2-selection.select2-selection--single {
    height: 47px;
    display: flex;
    align-items: center;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    display: none;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: rgba(66, 124, 216, 0.05) !important;
    border: rgba(66, 124, 216, 0.05) !important;
    display: flex;
    flex-flow: row-reverse;
    gap: 5px;
    font-weight: 400;
    color: var(--bs-dark);
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: var(--bs-primary) !important;
    font-weight: 400;
}

.select2-container--default .select2-selection__rendered::after {
    content: '';
    width: 16px;
    height: 12px;
    position: absolute;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    right: 12px;
    top: 16px;
    cursor: pointer;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    padding-left: 0 !important;
}

.select2-results__option {
    padding-left: 15px !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border-radius: 2px !important;
}

.select2-search--dropdown {
    padding: 15px !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field,
.select2-dropdown {
    border: 1px solid var(--cs-border-gray) !important;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder {
    /* color: #637381 !important; */
    color: #757575 !important;
}


/* Tooltip */

.tooltip-inner {
    font-size: 13px !important;
    font-weight: 400 !important;
    padding: 10px;
    border-radius: 6px;
}


/* .tooltip {
    left: 30px !important;
} */

.tooltip.show {
    opacity: 1 !important;
}

.tooltip-arrow {
    color: var(--bs-primary) !important;
}


/* Scrollable nav tabs  */

.horizontal-nav-tabs {
    overflow-x: auto;
    height: 60px;
    margin-bottom: 10px;
}

.horizontal-nav-tabs .nav-tabs {
    border-bottom: solid 2px var(--cs-border-gray);
    margin-bottom: 15px;
    display: flex;
    flex-wrap: nowrap;
    padding: 0;
    white-space: nowrap;
    margin: 0;
}

.horizontal-nav-tabs .nav-tabs .nav-item .nav-link {
    border: none;
    padding: 15px;
}

.horizontal-nav-tabs .nav-tabs .nav-item .nav-link.active .badge {
    background-color: #2f4faa0d;
    color: var(--bs-blue);
}

.horizontal-nav-tabs .nav-tabs .nav-item .nav-link .badge {
    margin-left: 5px;
    background-color: var(--bs-gray);
    color: var(--bs-dark);
    font-weight: 500;
    font-size: 12px;
}

.horizontal-nav-tabs .nav-tabs .nav-item {
    position: relative;
}

.horizontal-nav-tabs .nav-tabs :is(.nav-link:hover, .nav-link.active) {
    border-right: none !important;
    background-color: white !important;
    color: var(--bs-primary) !important;
    text-decoration: none;
    border: transparent !important;
    cursor: pointer;
}

.horizontal-nav-tabs .nav-tabs .nav-item .nav-link:hover .badge {
    background-color: #E7F2FE;
    color: var(--bs-primary);
}

.horizontal-nav-tabs .nav-tabs :is(.nav-link:hover, .nav-link.active):after {
    content: '';
    position: absolute;
    bottom: -2px;
    height: 2px;
    width: 100%;
    background: var(--bs-primary);
    left: 0;
}


/* Custom Collapse / Module Access Role */

.role-module-container {
    border: solid 1px var(--cs-border-gray);
    border-radius: 10px;
}

.role-module-container :is(.mode,
.check) {
    width: 60px;
    text-align: center;
}

.role-module-container input {
    width: 16px;
    height: 16px;
    border-color: var(--bs-dark);
}

.role-module-container input:disabled {
    background-color: var(--bs-gray);
}

.role-module-container .module-heading {
    background-color: #f9fafb !important;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-top: none !important;
    font-weight: 500;
}

.role-module-container :is(.module-heading,
.module-type,
.collapse) {
    border-top: solid 1px var(--cs-border-gray);
    transition: 0.03s all cubic-bezier(0.075, 0.82, 0.165, 1);
}

.role-module-container.module-access .module-type:nth-child(3n+1) {
    background-color: rgba(249, 250, 251, 0.4);
}

.role-module-container span[aria-expanded='false'] svg {
    rotate: -90deg;
}

.modal .role-module-container {
    text-align: left;
}

.modal .role-module-container div:nth-child(odd) {
    background-color: rgba(249, 250, 251, 0.4);
}


/* Accordion Custom Style */

.custom-accordion .accordion-button::after {
    background-image: url('/images/icon/svg/accordion-arrow-up.svg');
    transform: rotate(-180deg);
    position: absolute;
    left: 0;
}

.custom-accordion .accordion-button:not(.collapsed)::after {
    background-image: url('/images/icon/svg/accordion-arrow-up.svg');
    transform: none;
}


/* Show Hide div - radio button  */

.description {
    display: none;
    padding: 0;
}

.show-hide:has(#rdo_submit_written_report_yes:checked)~.description {
    display: block !important;
}


/* User Settings */

.div-user-settings {
    max-width: 1440px;
}

.div-user-settings .div-setting-menu {
    min-width: 280px;
    height: 100vh;
    box-shadow: inset -1px 0 1px rgba(0, 0, 0, 0.075) !important;
    padding: 1.5rem 0 1.5rem 1.5rem !important;
}

.div-user-settings .nav-link {
    text-align: left;
    border-radius: 0;
    height: 44px;
}

.div-user-settings .div-setting-content {
    margin-top: 80px;
}


/* form dynamics */

.forms-dynamic-selector .custom-input-select {
    padding-right: 23px !important;
    margin: 0px 0px !important;
    border-right: 0;
}


/* form Validation */

#repassword-check,
#match-check {
    color: var(--bs-red);
    display: none
}


/* image upload */

.avatar-container {
    width: 80px;
    height: 80px;
    overflow: hidden;
    border-radius: 50%;
}

#avatarPreview {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.upload-photo-btn {
    background-color: var(--bs-primary);
    color: white;
    cursor: pointer;
    padding: 6px 12px;
    border-radius: 6px;
    font-size: 12px;
}


/* Dynamic Selector */

.field-clear-display-override {
    font-size: 16px !important;
}


/* Invalid Feedback */

.dynamic-selector-main-field.is-invalid {
    background: none !important;
    border-right: none !important;
}

.dynamic-selector-main-field.is-invalid + .caret_holder{
    border-color: var(--bs-red) !important;
    border-left: none !important;
}

.form-select.is-invalid+label {
    border-color: var(--bs-red) !important;
    border-left: none !important;
}

.dynamic-selector-hidden-field.is-invalid {
    border: 1px solid var(--bs-red) !important;
}

.select2-container.is-invalid .select2-selection {
    border: 1px solid var(--bs-red) !important;
}


/* File Upload */

.attached-document {
    gap: 10px;
    display: flex;
    align-items: center;
    padding: 6px 12px;
    border-radius: 10px;
    border: 1px solid var(--bs-gray);
    width: fit-content;
}

.file-upload-component.pe-none .btn-attach-file,
.file-upload-component.pe-none .file-attachment-container {
    background-color: var(--bs-gray);
}

/* Cards */

.card-body {
    min-height: 180px;
    padding: 18px;
}

.card-body:hover {
    background-color: #f9fafb;
}

.card-title {
    font-size: 16px;
    color: var(--bs-primary);
    font-weight: 500;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    overflow: hidden;
    line-height: 22px;
}

.card-body .icon {
    background-color: var(--cs-primary-3);
    border-radius: 5px;
    padding: 5px;
    display: flex;
    height: 26px;
    width: 26px;
}

.card-text {
    margin-top: 5px;
    font-size: 14px;
    color: var(--bs-dark);
    font-weight: 400;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    line-clamp: 4;
    overflow: hidden;
}


/* PHOENIX START */

span.select-custom-title {
    font-size: 10px;
    font-weight: 700;
}

span.select-custom-details {
    font-size: 13px;
    line-height: 1.25;
}

li.cursor-pointer {
    cursor: pointer !important;
}

.forms-dynamic-selector-item-selected {
    background-color: #cadfff;
}

.forms-dynamic-selector-item:hover,
.forms-dynamic-selector-item-focused {
    background-color: #eff5fe;
}

.border-bottom-dynamic-selector-item {
    border-bottom: 1px solid #dee2e6;
}


/* PHOENIX END */


/* Calendar Css */

.fc-day-grid-event .fc-content .fc-title {
    color: var(--white);
}

.fc-day-grid-event .fc-content .fc-title:hover {
    cursor: pointer;
}

.fc-month-button.ui-state-active {
    background: #007fff !important;
}

.ui-icon,
.ui-widget-content .ui-icon {
    /* background-image: url(images/ui-icons_444444_256x240.png) !important; */
    display: block;
    width: 18px;
    height: 18px;
}

.homepage-calendar button.ui-state-default.fc-today-button {
    text-transform: capitalize !important;
}

.homepage-calendar button.ui-state-default.fc-prev-button {
    border-top-left-radius: 5px !important;
    border-bottom-left-radius: 5px !important;
    border-right: 0 !important;
}

.homepage-calendar button.ui-state-default.fc-next-button {
    border-top-right-radius: 5px !important;
    border-bottom-right-radius: 5px !important;
    border-left: 0 !important;
}

.homepage-calendar .tbl-sticky thead {
    background: none !important;
}

.homepage-calendar .fc-ltr .fc-basic-view .fc-day-top .fc-day-number {
    float: left !important;
    border-radius: 15px;
    margin: 10px 0 0 10px;
    padding: 4px 8px;
    color: #000;
}

.homepage-calendar .fc .fc-row .fc-content-skeleton td.fc-today .fc-day-number {
    background: var(--bs-primary) !important;
    color: white;
}

.homepage-calendar .fc .fc-row .fc-bg td.fc-other-month {
    background: #80808026 !important;
}

.homepage-calendar .fc-ltr .fc-basic-view .fc-other-month.fc-future,
.homepage-calendar .fc-ltr .fc-basic-view .fc-other-month.fc-future span {
    color: #000;
}

.homepage-calendar .fc-ltr .fc-basic-view .fc-other-month.fc-future {
    opacity: 0.8;
}

.homepage-calendar .tbl-full-calendar .fc-head>tr th {
    border-color: transparent;
}

.homepage-calendar .fc .fc-toolbar .fc-left h2 {
    font-size: 22px !important;
    margin-top: 5px !important;
}

.homepage-calendar .fc-day-grid-event .fc-content {
    padding: 2px 3px !important;
}

.ui-icon-circle-triangle-e {
    background-image: url("/images/icon/svg/chevron-right-black.svg") !important;
}

.ui-icon-circle-triangle-w {
    background-image: url("/images/icon/svg/chevron-left-black.svg") !important;
}

.homepage-calendar .ui-widget-header table thead tr {
    display: flex;
}

th.fc-day-header.ui-widget-header,
td.fc-day-header.ui-widget-header {
    background: white !important;
    height: 50px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    font-weight: 500;
}

.ui-widget-header {
    background: none !important;
}

ul.collapse-ul-list li {
    cursor: pointer;
}

ul.collapse-ul-list li:hover {
    background-color: var(--light-blue);
    color: var(--white);
}

ul.collapse-ul-list li.active-filter {
    background-color: var(--light-blue);
    color: var(--white);
}

ul.collapse-ul-list li.active-filter::before {
    /* content: "\270f"; */
    content: url("data:image/svg+xml; utf8, <svg xmlns='http://www.w3.org/2000/svg' width='6' height='6' fill='currentColor' class='bi bi-funnel-fill' viewBox='0 0 16 16'><path d='M1.5 1.5A.5.5 0 0 1 2 1h12a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-.128.334L10 8.692V13.5a.5.5 0 0 1-.342.474l-3 1A.5.5 0 0 1 6 14.5V8.692L1.628 3.834A.5.5 0 0 1 1.5 3.5v-2z'/></svg>");
    display: block;
    font-size: 10px;
    margin-right: 3px;
}

ul.collapse-ul-list li:hover::before {
    display: inline-block;
    /* content: "\270f"; */
    content: url("data:image/svg+xml; utf8, <svg xmlns='http://www.w3.org/2000/svg' width='6' height='6' fill='currentColor' class='bi bi-funnel-fill' viewBox='0 0 16 16'><path d='M1.5 1.5A.5.5 0 0 1 2 1h12a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-.128.334L10 8.692V13.5a.5.5 0 0 1-.342.474l-3 1A.5.5 0 0 1 6 14.5V8.692L1.628 3.834A.5.5 0 0 1 1.5 3.5v-2z'/></svg>");
    display: block;
    font-size: 10px;
    margin-right: 3px;
}

.homepage-calendar button.ui-state-default {
    margin-left: 0 !important;
    border: 0px !important;
    height: 47px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px 28px !important;
    background-color: white !important;
    border: 1px solid var(--cs-border-gray) !important;
}

.homepage-calendar button.ui-state-default.ui-state-active {
    color: #fff !important;
}

.homepage-calendar td.fc-head-container.ui-widget-header {
    border: 1px solid #ddd !important;
}

.homepage-calendar th.fc-day-header.ui-widget-header,
.homepage-calendar td.fc-day-header.ui-widget-header {
    border: 1px solid #ddd !important;
}

.homepage-calendar td.ui-widget-content {
    border: 1px solid #ddd !important;
}

.legacy-text {
    background-color: rgba(233, 236, 239, 1) !important;
    border-color: rgba(223, 228, 234, 1) !important;
    padding: 20px;
    border-radius: 5px;
    border: 1px;
}

.custom-invalid-feedback {
    color: var(--bs-red);
    font-size: 12px;
    font-weight: 400;
}


/* End Calendar */


/* Textarea Height Calculation */

textarea.form-control {
    min-height: 130px !important;
}

.danger-bg-aa-safe {
    background-color: #ea0000 !important;
}

.field-with-link {
    min-height: 47px;
}

#tbl_embedded_administered_tests .table tbody td span > i,
#tbl_embedded_as_needed_tests .table tbody td span > i,
#tbl_embedded_not_administered_tests .table tbody td span > i {
    font-size: 20px;
}

#tbl_profile_vaccination_summary_report .table tbody td span > i {
    font-size: 14px;
}

#tbl_profile_vaccination_summary_report .table tbody td .badge {
    padding: 8px!important;
}

#tbl_profile_vaccination_summary_report .table tbody td .bg-warning {
    color: #856404 !important;
    background-color: #FFFBEB !important;
}

#tbl_profile_vaccination_summary_report .table tbody td .bg-success {
    color: #155724 !important;
    background-color: #DAF8E6 !important;
}

#tbl_profile_vaccination_summary_report .table tbody td .bg-secondary {
    color: white !important;
    background-color: #6B7280 !important;
}

.dropdown-options span:first-child {
    font-size: 10px;
    font-weight: 700;
}

.dropdown-options span:last-child {
    font-size: 13px;
    line-height: 1.25;
}

.is-invalid-feedback, .is-invalid-feedback~.input-group-text{
    border-color: #b60000;
}